## org.eclipse.datatools.modelbase.sql.schema
Class GenerateType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.schema.GenerateType

    public final class GenerateType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Generate Type', and utility methods for working with them. Reference: 5WD-02-Foundation-2002-12 4.14.4 Identity columns

See Also:
  `SQLSchemaPackage.getGenerateType()`

Field Summary
`static int` `ALWAYS_GENERATED` The 'ALWAYS GENERATED' literal value.
`static GenerateType` `ALWAYS_GENERATED_LITERAL` The 'ALWAYS GENERATED' literal object.
`static int` `DEFAULT_GENERATED` The 'DEFAULT GENERATED' literal value.
`static GenerateType` `DEFAULT_GENERATED_LITERAL` The 'DEFAULT GENERATED' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Generate Type' enumerators.

Method Summary
`static GenerateType` `get(int value)` Returns the 'Generate Type' literal with the specified integer value.
`static GenerateType` `get(java.lang.String literal)` Returns the 'Generate Type' literal with the specified literal value.
`static GenerateType` `getByName(java.lang.String name)` Returns the 'Generate Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_GENERATED

    public static final int DEFAULT_GENERATED

  The 'DEFAULT GENERATED' literal value.

  See Also:
    `DEFAULT_GENERATED_LITERAL`, Constant Field Values

### ALWAYS_GENERATED

    public static final int ALWAYS_GENERATED

  The 'ALWAYS GENERATED' literal value.

  See Also:
    `ALWAYS_GENERATED_LITERAL`, Constant Field Values

### DEFAULT_GENERATED_LITERAL

    public static final GenerateType DEFAULT_GENERATED_LITERAL

  The 'DEFAULT GENERATED' literal object.

  If the meaning of 'DEFAULT GENERATED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEFAULT_GENERATED`

### ALWAYS_GENERATED_LITERAL

    public static final GenerateType ALWAYS_GENERATED_LITERAL

  The 'ALWAYS GENERATED' literal object.

  If the meaning of 'ALWAYS GENERATED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALWAYS_GENERATED`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Generate Type' enumerators.

Method Detail

### get

    public static GenerateType get(java.lang.String literal)

  Returns the 'Generate Type' literal with the specified literal value.

### getByName

    public static GenerateType getByName(java.lang.String name)

  Returns the 'Generate Type' literal with the specified name.

### get

    public static GenerateType get(int value)

  Returns the 'Generate Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.